Package org.postgresql.ssl

# Class NonValidatingFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
org.postgresql.ssl.WrappedFactory
org.postgresql.ssl.NonValidatingFactory

public class NonValidatingFactory extends WrappedFactory
Provide a SSLSocketFactory that allows SSL connections to be made without validating the server's certificate. This is more convenient for some applications, but is less secure as it allows "man in the middle" attacks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NonValidatingFactory.NonValidatingTM`

- ## Field Summary

  ### Fields inherited from class org.postgresql.ssl.WrappedFactory

  `factory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NonValidatingFactory(String arg)`
  We provide a constructor that takes an unused argument solely because the ssl calling code will look for this constructor first and then fall back to the no argument constructor, so we avoid an exception and additional reflection lookups.

- ## Method Summary

  ### Methods inherited from class org.postgresql.ssl.WrappedFactory

  `createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

  ### Methods inherited from class javax.net.ssl.SSLSocketFactory

  `createSocket, getDefault`

  ### Methods inherited from class javax.net.SocketFactory

  `createSocket`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NonValidatingFactory

    public NonValidatingFactory(String arg) throws GeneralSecurityException
    We provide a constructor that takes an unused argument solely because the ssl calling code will look for this constructor first and then fall back to the no argument constructor, so we avoid an exception and additional reflection lookups.
    Parameters:
      `arg` - input argument
    Throws:
      `GeneralSecurityException` - if something goes wrong